<template>


        <div class="container-box">

        <h1>{{title}}</h1>

        <div class="container-circle">
     
            <div class="circle" data-value="3">
                  <div class="number" data-value="-2">
                     <p data-value="6">10</p>   
                </div>

                <div class="text" data-value="4">
                    <p>Lorem <br>ipsum dolor</p>      
                </div>

                <div class="bottom-text" data-value="8">
                    <p>Lorem ipsum</p>
                </div>

            </div>



          <div class="circle" data-value="-3">
                  <div class="number" data-value="2">
                     <p data-value="-6">60</p>   
                </div>

                <div class="text" data-value="-4">
                    <p data-value="6">Lorem <br>ipsum dolor</p>      
                </div>

                <div class="bottom-text" data-value="-8">
                    <p>Lorem ipsum</p>
                </div>

            </div>


             <div class="circle" data-value="3">
                  <div class="number" data-value="-2">
                     <p data-value="6">5</p>   
                </div>

                <div class="text" data-value="4">
                    <p data-value="-6">Lorem <br>ipsum dolor</p>      
                </div>

                <div class="bottom-text" data-value="8">
                    <p>Lorem ipsum</p>
                </div>

            </div>

            <div class="circle" data-value="-3">
                  <div class="number" data-value="2">
                     <p data-value="-6">20</p>   
                </div>

                <div class="text" data-value="-4">
                    <p data-value="6">Lorem <br>ipsum dolor</p>      
                </div>

                <div class="bottom-text" data-value="-8">
                    <p>Lorem ipsum</p>
                </div>

            </div>
            

        </div>
 
    </div>



</template>

<script>

export default {


  data () {

      
    return {
        
        title:'Lorem ipsum dolor',

    }
  },

mounted(){

    document.addEventListener("mousemove", parallax);
    function parallax(e){

        document.querySelectorAll(".circle").forEach(function(move){


        var moving_value = move.getAttribute("data-value");
        var x = e.clientX * moving_value/250;
        var y = e.clientX * moving_value/250;

        move.style.transform = "translate(" + x + "px) translateY(" + y + "px)";

        });
    }



}


}
</script>

<style scoped>



.container-box{


    background-image:linear-gradient(to right, darkblue, blue, lightblue);
    width: 100%;
    min-height: 500px;
    
}

.container-box h1{

    color: white;
    text-align: center;
    padding-top: 75px;
    padding-bottom: 15px;
    font-size: 25px ;

}

.container-circle{
    
    justify-content: center;
    display: flex;
    gap: 75px; 
   flex-wrap: wrap;
 
   
}

.circle {

    height: 200px   ;
    width: 200px;
    border-radius: 50%;
    background: rgba(0, 0, 0, 0);
    border-left:solid 10px green ;
    border-top: solid 10px green;
    border-right: solid 10px rgb(108, 98, 247);
    border-bottom: solid 10px rgb(108, 98, 247);
    position: relative;
  
}





.number p{


    font-size: 60px ;
    color: green;
    text-align: center;
    margin: 25px 0;


}


.text p{

    text-align: center;
    color: white;
    font-size: 15px;
    margin: -35px 0;


}

.bottom-text p{

    text-align: center;
    color: white;
    margin-top: 90px;
    font-size: 23px;


}




   
        /* Media Query for low resolution  Tablets, Ipads */
            @media (min-width: 481px) and (max-width: 767px) {
                .container-box {
               min-height: 720px;
            }
        }
         
        /* Media Query for Tablets Ipads portrait mode */
        @media (min-width: 768px) and (max-width: 1024px){
           .container-box{
                min-height: 710px;
            }
        }
         
        /* Media Query for Laptops and Desktops */
        @media (min-width: 1025px) and (max-width: 1280px){
            .container-box {
                 min-height: 710px;
            }
        }
         
  

</style>
